import { MapperImpl } from '@alien-worlds/aw-core';
import { MongoMapper } from '@alien-worlds/aw-storage-mongodb';
import { Claimbudget } from "../../domain/entities";
import { ClaimbudgetMongoModel, ClaimbudgetRawModel } from "../dtos/claimbudget.dto";
export declare class ClaimbudgetMongoMapper extends MongoMapper<Claimbudget, ClaimbudgetMongoModel> {
    constructor();
    toEntity(mongoModel: ClaimbudgetMongoModel): Claimbudget;
}
export declare class ClaimbudgetRawMapper extends MapperImpl<Claimbudget, ClaimbudgetRawModel> {
    fromEntity(entity: Claimbudget): ClaimbudgetRawModel;
    toEntity(rawModel: ClaimbudgetRawModel): Claimbudget;
}
