import { ContractAction, MapperImpl } from '@alien-worlds/aw-core';
import { MongoMapper } from '@alien-worlds/aw-storage-mongodb';
import { DataEntityType } from '../../domain/entities/dao-worlds-action';
import { DaoWorldsActionMongoModel, DaoWorldsActionRawModel } from '../dtos';
export declare class DaoWorldsActionMongoMapper extends MongoMapper<ContractAction<DataEntityType>, DaoWorldsActionMongoModel> {
    fromEntity(entity: ContractAction<DataEntityType>): DaoWorldsActionMongoModel;
    toEntity(mongoModel: DaoWorldsActionMongoModel): ContractAction<DataEntityType>;
}
export declare class DaoWorldsActionProcessorTaskMapper extends MapperImpl<ContractAction<DataEntityType, DaoWorldsActionRawModel>, DaoWorldsActionRawModel> {
    fromEntity(entity: ContractAction<DataEntityType, DaoWorldsActionRawModel>): DaoWorldsActionRawModel;
    toEntity(rawModel: DaoWorldsActionRawModel): ContractAction<DataEntityType, DaoWorldsActionRawModel>;
}
