"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Flagcandprof = void 0;
class Flagcandprof {
    cand;
    reason;
    reporter;
    block;
    dacId;
    id;
    constructor(cand, reason, reporter, block, dacId, id) {
        this.cand = cand;
        this.reason = reason;
        this.reporter = reporter;
        this.block = block;
        this.dacId = dacId;
        this.id = id;
    }
    rest;
    toJSON() {
        return {
            cand: this.cand,
            reason: this.reason,
            reporter: this.reporter,
            block: this.block,
            dacId: this.dacId,
        };
    }
    static create(cand, reason, reporter, block, dacId, id, rest) {
        const entity = new Flagcandprof(cand, reason, reporter, block, dacId, id);
        entity.rest = rest;
        return entity;
    }
    static getDefault() {
        return new Flagcandprof('', '', '', false, '');
    }
}
exports.Flagcandprof = Flagcandprof;
