import { MapperImpl } from '@alien-worlds/aw-core';
import { MongoMapper } from '@alien-worlds/aw-storage-mongodb';
import { Votes } from "../../domain/entities";
import { VotesMongoModel, VotesRawModel } from "../dtos/votes.dto";
export declare class VotesMongoMapper extends MongoMapper<Votes, VotesMongoModel> {
    constructor();
    toEntity(mongoModel: VotesMongoModel): Votes;
}
export declare class VotesRawMapper extends MapperImpl<Votes, VotesRawModel> {
    fromEntity(entity: Votes): VotesRawModel;
    toEntity(rawModel: VotesRawModel): Votes;
}
