import { MongoDB } from '@alien-worlds/aw-storage-mongodb';
export type WeightobsvMongoModel = {
    _id?: MongoDB.ObjectId;
    account_weight_deltas?: AccountWeightDeltaMongoModel[];
    dac_id?: string;
    [key: string]: unknown;
};
export type AccountWeightDeltaMongoModel = {
    _id?: MongoDB.ObjectId;
    account?: string;
    weight_delta?: number;
    weight_delta_quorum?: number;
    [key: string]: unknown;
};
export type WeightobsvRawModel = {
    account_weight_deltas?: AccountWeightDeltaRawModel[];
    dac_id?: string;
    [key: string]: unknown;
};
export type AccountWeightDeltaRawModel = {
    account?: string;
    weight_delta?: number;
    weight_delta_quorum?: number;
    [key: string]: unknown;
};
