import { MapperImpl } from '@alien-worlds/aw-core';
import { MongoMapper } from '@alien-worlds/aw-storage-mongodb';
import { Rejectcuspay } from "../../domain/entities";
import { RejectcuspayMongoModel, RejectcuspayRawModel } from "../dtos/rejectcuspay.dto";
export declare class RejectcuspayMongoMapper extends MongoMapper<Rejectcuspay, RejectcuspayMongoModel> {
    constructor();
    toEntity(mongoModel: RejectcuspayMongoModel): Rejectcuspay;
}
export declare class RejectcuspayRawMapper extends MapperImpl<Rejectcuspay, RejectcuspayRawModel> {
    fromEntity(entity: Rejectcuspay): RejectcuspayRawModel;
    toEntity(rawModel: RejectcuspayRawModel): Rejectcuspay;
}
