"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Nominatecane = void 0;
const aw_antelope_1 = require("@alien-worlds/aw-antelope");
class Nominatecane {
    cand;
    requestedpay;
    dacId;
    id;
    constructor(cand, requestedpay, dacId, id) {
        this.cand = cand;
        this.requestedpay = requestedpay;
        this.dacId = dacId;
        this.id = id;
    }
    rest;
    toJSON() {
        return {
            cand: this.cand,
            requestedpay: this.requestedpay,
            dacId: this.dacId,
        };
    }
    static create(cand, requestedpay, dacId, id, rest) {
        const entity = new Nominatecane(cand, requestedpay, dacId, id);
        entity.rest = rest;
        return entity;
    }
    static getDefault() {
        return new Nominatecane('', aw_antelope_1.Asset.getDefault(), '');
    }
}
exports.Nominatecane = Nominatecane;
