import { MapperImpl } from '@alien-worlds/aw-core';
import { MongoMapper } from '@alien-worlds/aw-storage-mongodb';
import { Candperms } from "../../domain/entities";
import { CandpermsMongoModel, CandpermsRawModel } from "../dtos/candperms.dto";
export declare class CandpermsMongoMapper extends MongoMapper<Candperms, CandpermsMongoModel> {
    constructor();
    toEntity(mongoModel: CandpermsMongoModel): Candperms;
}
export declare class CandpermsRawMapper extends MapperImpl<Candperms, CandpermsRawModel> {
    fromEntity(entity: Candperms): CandpermsRawModel;
    toEntity(rawModel: CandpermsRawModel): Candperms;
}
