import { MapperImpl } from '@alien-worlds/aw-core';
import { MongoMapper } from '@alien-worlds/aw-storage-mongodb';
import { Pendingpay } from "../../domain/entities";
import { PendingpayMongoModel, PendingpayRawModel } from "../dtos/pendingpay.dto";
export declare class PendingpayMongoMapper extends MongoMapper<Pendingpay, PendingpayMongoModel> {
    constructor();
    toEntity(mongoModel: PendingpayMongoModel): Pendingpay;
}
export declare class PendingpayRawMapper extends MapperImpl<Pendingpay, PendingpayRawModel> {
    fromEntity(entity: Pendingpay): PendingpayRawModel;
    toEntity(rawModel: PendingpayRawModel): Pendingpay;
}
