import { Container } from '@alien-worlds/aw-core';
import { MongoConfig, MongoSource } from '@alien-worlds/aw-storage-mongodb';
import { DaoWorldsActionRepository } from './actions/domain/repositories';
import { DaoWorldsContractService } from "./services/dao-worlds-contract.service";
import { DaoWorldsDeltaRepository } from './deltas/domain/repositories';
import { AntelopeRpcSourceImpl } from '@alien-worlds/aw-antelope';
export declare const setupDaoWorldsActionRepository: (mongo: MongoSource | MongoConfig, container?: Container) => Promise<DaoWorldsActionRepository>;
export declare const setupDaoWorldsDeltaRepository: (mongo: MongoSource | MongoConfig, container?: Container) => Promise<DaoWorldsDeltaRepository>;
export declare const setupDaoWorldsContractService: (antelopeRpcSourceImpl: AntelopeRpcSourceImpl, serviceUrl: string, container?: Container) => DaoWorldsContractService;
